/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
/* $Log:	externs.h,v $
 * Revision 1.6  90/01/09  16:51:48  drapeau
 * Last R3 version, uses app-defaults more frequently
 * 
 * Revision 1.4  89/08/06  18:09:16  drapeau
 * Eliminated unnecessary variables, due to the use of the X Toolkit
 * versus "vanilla" X (Xlib-only) code.  For example, variables
 * storing the font for each window are no longer necessary.
 *  */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <sys/file.h>

extern Widget		topLevelShell,workSpaceWidget,toolPalette,helpWidget;
extern Widget		helpTextWidget,exitWidget,inputWidget,inputDialogWidget;
extern Widget		infoWidget,infoListWidget,inputEnterWidget,infoCommand;
extern String		toolInfoList[25];
extern char		*toolArg1, *toolArg2, *toolArg3, *toolArg4;
extern char		*toolArg5, *toolArg6, *toolArg7, *toolArg8;
extern char		fileName[], orchFileName[],inputStr[],helpLabel[];
extern char		**Argv;
extern char		*RateToStr();
extern Display		*dpy;
extern GC		gc;
extern Window		musicWin;
extern MusicFontInfo	musicFontInfo;
extern XFontStruct	*musicFont;
extern Pixmap		musicPixmap,iconMap;
extern Pixmap		sineMap,envMap,sumMap,ampMap,paramMap,noiseMap, eqMap;
extern Cursor		mCursor, tCursor;
extern Pixel		fg,bg;
extern int		changesMade,inputStrLen,infoMapped;
extern int		Argc;
extern Tool		*toolList, *lastTool;
#ifdef FONTWIDTH
unsigned int		FontWidth(),FontHeight();
#else
extern unsigned int	FontWidth(),FontHeight();
#endif
extern void		SineCallback(),EnvCallback(),SumCallback();
extern void		AmpCallback(),ParamCallback(),EQCallback(),NoiseCallback();
extern void		Quit(),Help(),WriteOrchFile(),SaveDiagram();
extern void		ExitCallback(),ForgetExit(),AcceptInput(),CancelInput();
extern void		DrawMusicWin(),HandleButtonEvent(),ToolInfo(),InfoCallback();
extern void		ParamToolInput(),EQToolInput(),ChangeArg();
extern void		HandleKeyPressEvent(),RemoveTool(),DestroyInputWin();
extern void		DrawInfoWin(),CreateExitWindow(),CreateHelpWindow();
extern void		CreateInfoWindow(),CreateInputWindow(),CreateXMusicWorkSpace();
extern void		MoveTool(),CreateToolPalette(),CreateToolPixmaps();
extern Tool		*MakeParamTool(),*MakeEQTool();
extern FILE		*orchFile;
